<script lang="ts">
import Vue from 'vue';
import ChevronLg from '../../../static/nuxt-images/ico/chevron-lg.vue';
import { SlpColumn } from '../../common/index.vue';

export default Vue.extend({
  name: 'BySolutionHero',
  components: { ChevronLg, SlpColumn },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="solution-hero">
    <div class="solution-hero__background-wrap" />
    <SlpRow>
      <SlpColumn :cols="12" class="slp-flex slp-justify-content-center">
        <div class="solution-hero__body">
          <SlpTypography
            class="slp-mb-32"
            tag="h1"
            variant="heading1"
            :data-aos="data.aos_header_animation"
            :data-aos-duration="data.aos_header_duration"
            data-aos-offset="-500"
            >{{ data.title }}
          </SlpTypography>
          <SlpTypography
            tag="p"
            variant="heading5"
            :data-aos="data.aos_body_animation"
            :data-aos-duration="data.aos_body_duration"
            >{{ data.text }}
          </SlpTypography>
          <div
            class="solution-hero__action"
            :data-aos="data.aos_action_animation"
            :data-aos-duration="data.aos_action_duration"
          >
            <SlpButton
              v-if="data.primary_button"
              variant="primary"
              :data-ga-name="data.primary_button.data_ga_name || 'free trial'"
              :data-ga-location="
                data.primary_button.data_ga_location || 'header'
              "
              :href="data.primary_button.url || '/free-trial/'"
              :aria-label="`${
                data.primary_button.data_ga_location || 'header'
              } ${data.primary_button.data_ga_name || 'free trial'}`"
            >
              {{ data.primary_button.text || 'Get free trial' }}
            </SlpButton>
            <SlpButton
              v-if="data.secondary_button"
              variant="tertiary"
              :href="data.secondary_button.url || '/demo/'"
              :data-ga-name="data.secondary_button.data_ga_name || 'demo'"
              :data-ga-location="
                data.secondary_button.data_ga_location || 'header'
              "
            >
              {{ data.secondary_button.text || 'Watch a demo' }}
              <ChevronLg direction="right" />
            </SlpButton>
          </div>
        </div>
      </SlpColumn>
    </SlpRow>
  </section>
</template>

<style scoped lang="scss">
.solution-hero {
  min-height: 40rem;
  height: 40rem;
  position: relative;
  margin-bottom: $spacing-16;

  @media (min-width: $breakpoint-md) {
    margin-bottom: $spacing-96;
  }

  &__background-wrap {
    width: 100vw;
    height: 100%;
    position: absolute;
    left: 50%;
    top: 0;
    transform: translateX(-50%);

    &::before,
    &::after {
      content: '';
      height: 100%;
      background-position: center;
      background-repeat: no-repeat;
      width: 100%;
      position: absolute;
    }

    &::before {
      background-image: url('/nuxt-images/backgrounds/gradient-bg-100.png');
      background-size: cover;
    }

    &::after {
      background-image: url('/nuxt-images/backgrounds/infinity.png');
      background-size: auto;
      margin-top: -3rem;
      z-index: 1030;
    }
  }

  &__body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    z-index: 1;

    @media (min-width: $breakpoint-md) {
      max-width: 75%;
    }
  }

  &__action {
    display: flex;
    width: 100%;
    flex-direction: column;
    margin-top: $spacing-24;

    @media (min-width: $breakpoint-sm) {
      display: block;
    }

    a {
      margin-bottom: $spacing-8;
      justify-content: center;

      @media (min-width: $breakpoint-md) {
        width: unset;
        margin-bottom: inherit;
        margin-right: $spacing-4;
        margin-left: $spacing-4;
      }

      &::v-deep svg {
        margin-left: $spacing-8;
      }
    }
  }

  &::v-deep .slp-row {
    height: 100%;
    align-items: center;
    justify-content: center;
  }
}
</style>
